# coding: utf-8

"""
    OpenAPI definition

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: v0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from java_api_python_client.models.create_ingredient_dto import CreateIngredientDto

class TestCreateIngredientDto(unittest.TestCase):
    """CreateIngredientDto unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> CreateIngredientDto:
        """Test CreateIngredientDto
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `CreateIngredientDto`
        """
        model = CreateIngredientDto()
        if include_optional:
            return CreateIngredientDto(
                name = ''
            )
        else:
            return CreateIngredientDto(
                name = '',
        )
        """

    def testCreateIngredientDto(self):
        """Test CreateIngredientDto"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
